LibraryBean (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class LibraryBean

    java.lang.Object
      com.bbn.openmap.layer.vpf.LibraryBean

All Implemented Interfaces:
  PropertyConsumer, java.io.Serializable

    public class LibraryBean

extends java.lang.Object
implements PropertyConsumer, java.io.Serializable

A bean to be used for sharing LibrarySelectionTable objects between instances of VPFLayer.

     # Assuming that you have a VPF Layer specifying a .libraryBean property
     # with a value of "VMAPData", you need to specify the following properties:
     # Required - the java class information
     VMAPData.class=com.bbn.openmap.layer.vpf.LibraryBean
     # as in the layer .vpfPath, a ';' separated list of paths to VPF data
     VMAPData.vpfPath=e:/VMAPLV0
     # the name of the library bean, used by the VPFLayers to identify
     # this bean as the one they want to use.
     VMAPData.name=VMAPLEVEL0
     # Maximum number of tiles to cache.
     VMAPData.cacheSize=25

The VMAPData maker name, or whatever other name you decide to name it, has to be added to the openmap.components property list so the LibraryBean will be created and added to the MapHandler. Of course, you could add the LibraryBean to the MapHandler programmatically if you wanted to.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `cacheSizeProperty` Maximum size of tile cache (cacheSize).
`protected VPFFeatureCache` | `featureCache` The VPFFeatureCache to use for cached features.
`static java.lang.String` | `nameProperty` used for explicitly naming a library bean (name).
`static java.lang.String` | `pathProperty` property extension used to set the VPF root directory (vpfPath).

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`LibraryBean()` Construct an empty bean.

Method Summary
`LibrarySelectionTable` | `getLibrarySelectionTable()` Returns the LST for the path of this object.
`java.lang.String` | `getName()` Gets the name of the component - if the name was explicitly set, then return that, otherwise return the property prefix.
`java.util.Properties` | `getProperties(java.util.Properties getList)` Not a good PropertyConsumer yet, doesn't return values.
`java.util.Properties` | `getPropertyInfo(java.util.Properties list)` Method to fill in a Properties object with values reflecting the properties able to be set on this PropertyConsumer.
`java.lang.String` | `getPropertyPrefix()` Get the property key prefix that is being used to prepend to the property keys for Properties lookups.
`VPFCachedFeatureGraphicWarehouse` | `getWarehouse()` Creates a new VPFFeatureWarehouse every time, with the shared featureCache.
`void` | `setProperties(java.util.Properties setList)` Method to set the properties in the PropertyConsumer.
`void` | `setProperties(java.lang.String prefix, java.util.Properties setList)` Method to set the properties in the PropertyConsumer.
`void` | `setPropertyPrefix(java.lang.String prefix)` Set the property key prefix that should be used by the PropertyConsumer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nameProperty

    public static final java.lang.String nameProperty

  used for explicitly naming a library bean (name).

  See Also:
    Constant Field Values

### pathProperty

    public static final java.lang.String pathProperty

  property extension used to set the VPF root directory (vpfPath).

  See Also:
    Constant Field Values

### cacheSizeProperty

    public static final java.lang.String cacheSizeProperty

  Maximum size of tile cache (cacheSize).

  See Also:
    Constant Field Values

### featureCache

    protected transient VPFFeatureCache featureCache

  The VPFFeatureCache to use for cached features.

Constructor Detail

### LibraryBean

    public LibraryBean()

  Construct an empty bean.

Method Detail

### setProperties

    public void setProperties(java.util.Properties setList)

  Description copied from interface: `PropertyConsumer`
  Method to set the properties in the PropertyConsumer. It is assumed that the properties do not have a prefix associated with them, or that the prefix has already been set.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Parameters:
    `setList` - a properties object that the PropertyConsumer can use to retrieve expected properties it can use for configuration.

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties setList)

  Description copied from interface: `PropertyConsumer`
  Method to set the properties in the PropertyConsumer. The prefix is a string that should be prepended to each property key (in addition to a separating '.') in order for the PropertyConsumer to uniquely identify properties meant for it, in the midst of of Properties meant for several objects.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Parameters:
    `prefix` - a String used by the PropertyConsumer to prepend to each property value it wants to look up - setList.getProperty(prefix.propertyKey). If the prefix had already been set, then the prefix passed in should replace that previous value.
    `setList` - a Properties object that the PropertyConsumer can use to retrieve expected properties it can use for configuration.

### getName

    public java.lang.String getName()

  Gets the name of the component - if the name was explicitly set, then return that, otherwise return the property prefix.

### getProperties

    public java.util.Properties getProperties(java.util.Properties getList)

  Not a good PropertyConsumer yet, doesn't return values.

  Specified by:
    `getProperties` in interface `PropertyConsumer`
  Parameters:
    `getList` - a Properties object to load the PropertyConsumer properties into. If getList equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### getPropertyInfo

    public java.util.Properties getPropertyInfo(java.util.Properties list)

  Description copied from interface: `PropertyConsumer`
  Method to fill in a Properties object with values reflecting the properties able to be set on this PropertyConsumer. The key for each property should be the raw property name (without a prefix) with a value that is a String that describes what the property key represents, along with any other information about the property that would be helpful (range, default value, etc.).

  Specified by:
    `getPropertyInfo` in interface `PropertyConsumer`
  Parameters:
    `list` - a Properties object to load the PropertyConsumer properties into. If getList equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### setPropertyPrefix

    public void setPropertyPrefix(java.lang.String prefix)

  Set the property key prefix that should be used by the PropertyConsumer. The prefix, along with a '.', should be prepended to the property keys known by the PropertyConsumer.

  Specified by:
    `setPropertyPrefix` in interface `PropertyConsumer`
  Parameters:
    `prefix` - the prefix String.

### getPropertyPrefix

    public java.lang.String getPropertyPrefix()

  Get the property key prefix that is being used to prepend to the property keys for Properties lookups.

  Specified by:
    `getPropertyPrefix` in interface `PropertyConsumer`
  Returns:
    the property prefix

### getLibrarySelectionTable

    public LibrarySelectionTable getLibrarySelectionTable()

  Returns the LST for the path of this object.

  Returns:
    an LST, null if the object didn't construct properly

### getWarehouse

    public VPFCachedFeatureGraphicWarehouse getWarehouse()

  Creates a new VPFFeatureWarehouse every time, with the shared featureCache.

  Returns:
    VPFCachedFeatureGraphicWarehouse used by LibraryBean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details